Coupons
Update coupon
Updates validity, discount and eligibility.
PATCH
/coupons/{id}coupons:writeRequest
idstring · pathResource identifier.mandatorymarketplacestring · bodyMarketplace.optionalcodestring · bodyCoupon code.optionaldescriptionstring · bodyDescription.optionalvaluestring · bodyValue presented.optionalminimumnumber · bodyMinimum order.optionalvalid_untilstring · bodyISO validity.optionaltypestring · bodyCoupon type.optionaldiscountnumber · bodyPercentage or discount amount.optionalcapnumber · bodyDiscount ceiling.optionalcategoriesarray · bodyEligible categories.optionalverifiedboolean · bodyMark the coupon as verified.optionalactiveboolean · bodyActivate or archive the coupon.optionalExample
curl
curl -X PATCH 'https://achadu.com/api/v1/coupons/resource_id' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"marketplace": "string",
"code": "string",
"description": "string"
}'Answer
200Operation completed4xxError with code, message and request_id